# Returns a list of records with the specified status Returns a list of records with the specified status Endpoint: GET /batches/{tenantId}/status/{status}/{businessUnitId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The tenant - `businessUnitId` (string, required) The business unt - `status` (string, required) The status to use to for record lookup ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Response 200 fields (application/json): - `Count` (integer) - `Items` (array) - `Items.automatically_close_at` (string) Date/time at which this batch should automatically close - `Items.business_unit_id` (string, required) The business unit that the batch belongs in - `Items.closed_at` (string) Date the batch was closed - `Items.count` (number) The total # of payments + refunds - `Items.currency_code` (string) The currency code in use - `Items.currency_symbol` (string) The currency symbol - `Items.custom_field_values` (array) - `Items.custom_field_values.boolean_value` (boolean) The boolean value - `Items.custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `Items.custom_field_values.file_url_value` (string) The pointer to a file value - `Items.custom_field_values.list_value` (array) The list value - `Items.custom_field_values.numeric_value` (number) The numeric value - `Items.custom_field_values.string_value` (string) The string value of the custom field - `Items.custom_field_values.table_value` (array) A list of objects (a table) - `Items.date` (string, required) The date of the batch - `Items.dependents` (array) List of batches that depend on this one - `Items.description` (string) Descriptive notes about the batch - `Items.downloaded_at` (string) Date the batch was downloaded - `Items.downloading_workflow_execution_id` (string) The ID of the state machine execution that last downloaded this batch - `Items.errors` (array) - `Items.errors.error_message` (string) - `Items.errors.transaction_id` (string) - `Items.errors.transaction_type` (string) - `Items.fiscal_period` (integer, required) The fiscal period of the batch - `Items.fiscal_year_id` (string, required) The fiscal year of the business unit - `Items.id` (string, required) The unique, string identifier of this batch - `Items.name` (string, required) The name of the batch - `Items.posted_at` (string) The date the batch was posted - `Items.posting_workflow_execution_id` (string) The ID of the state machine execution that posted this batch - `Items.recurring_batch_id` (string) The recurring batch definition that this batch is tied to - `Items.statistics` (object) - `Items.statistics.credit_memo_total` (number) - `Items.statistics.credit_total` (number) - `Items.statistics.debit_memo_total` (number) - `Items.statistics.invoice_total` (number) - `Items.statistics.number_of_credit_memos` (number) - `Items.statistics.number_of_credits` (number) - `Items.statistics.number_of_debit_memos` (number) - `Items.statistics.number_of_invoices` (number) - `Items.statistics.number_of_payments` (number) - `Items.statistics.number_of_refunds` (number) - `Items.statistics.number_of_write_offs` (number) - `Items.statistics.payment_total` (number) - `Items.statistics.refund_total` (number) - `Items.statistics.write_off_total` (number) - `Items.status` (string) Enum: "archived", "closed", "downloaded", "error", "open", "posted", "posting", "verified" - `Items.sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `Items.sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `Items.sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `Items.sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `Items.sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `Items.sys_calculated_field_error` (string) The error associated with the calculated field - `Items.sys_calculated_field_errors` (array) - `Items.sys_calculated_field_errors.error` (string) - `Items.sys_calculated_field_errors.field` (string) - `Items.sys_composite_fiscal_period_key` (string) Internal use - `Items.sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `Items.sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `Items.sys_created_by_id` (string, required) The ID of the user that created this record - `Items.sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `Items.sys_directive` (string) Means for passing directive information into an object processing logic - `Items.sys_external_id` (string) The ID that a record has from an external system or data import - `Items.sys_fiscal_period_id` (string) Concatenation of the fiscal year and fiscal period - `Items.sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `Items.sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `Items.sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `Items.sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `Items.sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `Items.sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `Items.sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `Items.sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `Items.sys_version` (number) A number representing the version of this record in the database - `Items.total` (number) The total amount of payments - refunds for the batch - `Items.type` (string) Type of batch Enum: "cost of goods sold", "deferred revenue", "legacy", "transaction" - `Items.unposting_workflow_execution_id` (string) The ID of the state machine execution that last unposted this batch - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields